Index: /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm
===================================================================
--- /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50158)
+++ /trunk/src/VBox/Devices/PC/BIOS/VBoxBiosAlternative.asm	(revision 50159)
@@ -10596,5 +10772,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-delay_boot_:                                 ; 0xf73ff LB 0x67
+delay_boot_:                                 ; 0xf75b3 LB 0x67
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10603,5 +10779,5 @@
     mov dx, ax                                ; 89 c2
     test ax, ax                               ; 85 c0
-    je short 0745fh                           ; 74 55
+    je short 07613h                           ; 74 55
     mov AL, strict byte 034h                  ; b0 34
     out strict byte 043h, AL                  ; e6 43
@@ -10613,22 +10789,22 @@
     push 00aech                               ; 68 ec 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 ee a4
+    call 01922h                               ; e8 4f a3
     add sp, strict byte 00006h                ; 83 c4 06
     mov bx, dx                                ; 89 d3
     test bx, bx                               ; 85 db
-    jbe short 0743fh                          ; 76 17
+    jbe short 075f3h                          ; 76 17
     push bx                                   ; 53
     push 00b0ah                               ; 68 0a 0b
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 dc a4
+    call 01922h                               ; e8 3d a3
     add sp, strict byte 00006h                ; 83 c4 06
     xor dx, dx                                ; 31 d2
     mov ax, strict word 00040h                ; b8 40 00
-    call 06fa7h                               ; e8 6b fb
+    call 0715bh                               ; e8 6b fb
     dec bx                                    ; 4b
-    jmp short 07424h                          ; eb e5
+    jmp short 075d8h                          ; eb e5
     push 00a3ah                               ; 68 3a 0a
     push strict byte 00002h                   ; 6a 02
-    call 0190dh                               ; e8 c6 a4
+    call 01922h                               ; e8 27 a3
     add sp, strict byte 00004h                ; 83 c4 04
     mov AL, strict byte 034h                  ; b0 34
@@ -10641,5 +10817,5 @@
     push DS                                   ; 1e
     mov ds, ax                                ; 8e d8
-    call 0edbfh                               ; e8 63 79
+    call 0edbfh                               ; e8 af 77
     pop DS                                    ; 1f
     popad                                     ; 66 61
@@ -10649,5 +10825,5 @@
     pop bp                                    ; 5d
     retn                                      ; c3
-scsi_cmd_data_in_:                           ; 0xf7466 LB 0xb2
+scsi_cmd_data_in_:                           ; 0xf761a LB 0xb2
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10665,5 +10841,5 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 0747ch                          ; 75 f7
+    jne short 07630h                          ; 75 f7
     mov ax, bx                                ; 89 d8
     mov dx, word [bp+00ch]                    ; 8b 56 0c
@@ -10671,5 +10847,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 0748dh                               ; e2 fa
+    loop 07641h                               ; e2 fa
     and ax, 000f0h                            ; 25 f0 00
     movzx cx, byte [bp+004h]                  ; 0f b6 4e 04
@@ -10689,5 +10865,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 074b3h                               ; e2 fa
+    loop 07667h                               ; e2 fa
     mov dx, si                                ; 89 f2
     out DX, AL                                ; ee
@@ -10695,5 +10871,5 @@
     movzx ax, byte [bp+004h]                  ; 0f b6 46 04
     cmp cx, ax                                ; 39 c1
-    jnc short 074d4h                          ; 73 0e
+    jnc short 07688h                          ; 73 0e
     les di, [bp-00ah]                         ; c4 7e f6
     add di, cx                                ; 01 cf
@@ -10702,5 +10878,5 @@
     out DX, AL                                ; ee
     inc cx                                    ; 41
-    jmp short 074beh                          ; eb ea
+    jmp short 07672h                          ; eb ea
     mov dx, si                                ; 89 f2
     in AL, DX                                 ; ec
@@ -10708,10 +10884,10 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 074d4h                          ; 75 f7
+    jne short 07688h                          ; 75 f7
     lea dx, [si+001h]                         ; 8d 54 01
     cmp word [bp+00ch], strict byte 00000h    ; 83 7e 0c 00
-    jne short 074ech                          ; 75 06
+    jne short 076a0h                          ; 75 06
     cmp bx, 08000h                            ; 81 fb 00 80
-    jbe short 07506h                          ; 76 1a
+    jbe short 076bah                          ; 76 1a
     mov cx, 08000h                            ; b9 00 80
     les di, [bp+006h]                         ; c4 7e 06
@@ -10722,5 +10898,5 @@
     add ax, 00800h                            ; 05 00 08
     mov word [bp+008h], ax                    ; 89 46 08
-    jmp short 074ddh                          ; eb d7
+    jmp short 07691h                          ; eb d7
     mov cx, bx                                ; 89 d9
     les di, [bp+006h]                         ; c4 7e 06
@@ -10732,5 +10908,5 @@
     pop bp                                    ; 5d
     retn 0000ah                               ; c2 0a 00
-scsi_cmd_data_out_:                          ; 0xf7518 LB 0xb4
+scsi_cmd_data_out_:                          ; 0xf76cc LB 0xb4
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10748,5 +10924,5 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 0752eh                          ; 75 f7
+    jne short 076e2h                          ; 75 f7
     mov ax, bx                                ; 89 d8
     mov dx, word [bp+00ch]                    ; 8b 56 0c
@@ -10754,5 +10930,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 0753fh                               ; e2 fa
+    loop 076f3h                               ; e2 fa
     and ax, 000f0h                            ; 25 f0 00
     movzx cx, byte [bp+004h]                  ; 0f b6 4e 04
@@ -10772,5 +10948,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 07565h                               ; e2 fa
+    loop 07719h                               ; e2 fa
     mov dx, di                                ; 89 fa
     out DX, AL                                ; ee
@@ -10778,5 +10954,5 @@
     movzx ax, byte [bp+004h]                  ; 0f b6 46 04
     cmp cx, ax                                ; 39 c1
-    jnc short 07586h                          ; 73 0e
+    jnc short 0773ah                          ; 73 0e
     les si, [bp-00ah]                         ; c4 76 f6
     add si, cx                                ; 01 ce
@@ -10785,10 +10961,10 @@
     out DX, AL                                ; ee
     inc cx                                    ; 41
-    jmp short 07570h                          ; eb ea
+    jmp short 07724h                          ; eb ea
     lea dx, [di+001h]                         ; 8d 55 01
     cmp word [bp+00ch], strict byte 00000h    ; 83 7e 0c 00
-    jne short 07595h                          ; 75 06
+    jne short 07749h                          ; 75 06
     cmp bx, 08000h                            ; 81 fb 00 80
-    jbe short 075b0h                          ; 76 1b
+    jbe short 07764h                          ; 76 1b
     mov cx, 08000h                            ; b9 00 80
     les si, [bp+006h]                         ; c4 76 06
@@ -10800,5 +10976,5 @@
     add ax, 00800h                            ; 05 00 08
     mov word [bp+008h], ax                    ; 89 46 08
-    jmp short 07586h                          ; eb d6
+    jmp short 0773ah                          ; eb d6
     mov cx, bx                                ; 89 d9
     les si, [bp+006h]                         ; c4 76 06
@@ -10810,5 +10986,5 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 075b8h                          ; 75 f7
+    jne short 0776ch                          ; 75 f7
     xor ax, ax                                ; 31 c0
     lea sp, [bp-004h]                         ; 8d 66 fc
@@ -10817,5 +10993,5 @@
     pop bp                                    ; 5d
     retn 0000ah                               ; c2 0a 00
-@scsi_read_sectors:                          ; 0xf75cc LB 0xb6
+@scsi_read_sectors:                          ; 0xf7780 LB 0xb6
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10828,10 +11004,10 @@
     sub bl, 008h                              ; 80 eb 08
     cmp bl, 004h                              ; 80 fb 04
-    jbe short 075f5h                          ; 76 0f
+    jbe short 077a9h                          ; 76 0f
     movzx ax, bl                              ; 0f b6 c3
     push ax                                   ; 50
     push 00b0eh                               ; 68 0e 0b
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 1b a3
+    call 01922h                               ; e8 7c a1
     add sp, strict byte 00006h                ; 83 c4 06
     mov es, [bp+006h]                         ; 8e 46 06
@@ -10860,5 +11036,5 @@
     sal word [bp-008h], 1                     ; d1 66 f8
     rcl word [bp-006h], 1                     ; d1 56 fa
-    loop 0763eh                               ; e2 f8
+    loop 077f2h                               ; e2 f8
     push dword [bp-008h]                      ; 66 ff 76 f8
     db  066h, 026h, 0ffh, 074h, 004h
@@ -10868,8 +11044,8 @@
     mov cx, ss                                ; 8c d1
     lea bx, [bp-012h]                         ; 8d 5e ee
-    call 07466h                               ; e8 0b fe
+    call 0761ah                               ; e8 0b fe
     mov ah, al                                ; 88 c4
     test al, al                               ; 84 c0
-    jne short 07676h                          ; 75 15
+    jne short 0782ah                          ; 75 15
     mov es, [bp+006h]                         ; 8e 46 06
     mov word [es:si+014h], di                 ; 26 89 7c 14
@@ -10884,5 +11060,5 @@
     pop bp                                    ; 5d
     retn 00004h                               ; c2 04 00
-@scsi_write_sectors:                         ; 0xf7682 LB 0xb6
+@scsi_write_sectors:                         ; 0xf7836 LB 0xb6
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10895,10 +11071,10 @@
     sub bl, 008h                              ; 80 eb 08
     cmp bl, 004h                              ; 80 fb 04
-    jbe short 076abh                          ; 76 0f
+    jbe short 0785fh                          ; 76 0f
     movzx ax, bl                              ; 0f b6 c3
     push ax                                   ; 50
     push 00b3ch                               ; 68 3c 0b
     push strict byte 00007h                   ; 6a 07
-    call 0190dh                               ; e8 65 a2
+    call 01922h                               ; e8 c6 a0
     add sp, strict byte 00006h                ; 83 c4 06
     mov es, [bp+006h]                         ; 8e 46 06
@@ -10927,5 +11103,5 @@
     sal word [bp-008h], 1                     ; d1 66 f8
     rcl word [bp-006h], 1                     ; d1 56 fa
-    loop 076f4h                               ; e2 f8
+    loop 078a8h                               ; e2 f8
     push dword [bp-008h]                      ; 66 ff 76 f8
     db  066h, 026h, 0ffh, 074h, 004h
@@ -10935,8 +11111,8 @@
     mov cx, ss                                ; 8c d1
     lea bx, [bp-012h]                         ; 8d 5e ee
-    call 07518h                               ; e8 07 fe
+    call 076cch                               ; e8 07 fe
     mov ah, al                                ; 88 c4
     test al, al                               ; 84 c0
-    jne short 0772ch                          ; 75 15
+    jne short 078e0h                          ; 75 15
     mov es, [bp+006h]                         ; 8e 46 06
     mov word [es:si+014h], di                 ; 26 89 7c 14
@@ -10951,5 +11127,5 @@
     pop bp                                    ; 5d
     retn 00004h                               ; c2 04 00
-scsi_cmd_packet_:                            ; 0xf7738 LB 0x166
+scsi_cmd_packet_:                            ; 0xf78ec LB 0x166
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
@@ -10963,20 +11139,20 @@
     mov dx, strict word 0000eh                ; ba 0e 00
     mov ax, strict word 00040h                ; b8 40 00
-    call 0161ch                               ; e8 c8 9e
+    call 0161ch                               ; e8 14 9d
     mov si, 00122h                            ; be 22 01
     mov word [bp-00eh], ax                    ; 89 46 f2
     cmp byte [bp+00ah], 002h                  ; 80 7e 0a 02
-    jne short 0777fh                          ; 75 1f
-    mov bx, 00da6h                            ; bb a6 0d
+    jne short 07933h                          ; 75 1f
+    mov bx, 00da2h                            ; bb a2 0d
     mov cx, ds                                ; 8c d9
     mov ax, strict word 00004h                ; b8 04 00
-    call 018cch                               ; e8 61 a1
+    call 018e1h                               ; e8 c2 9f
     push 00b6bh                               ; 68 6b 0b
     push 00b7bh                               ; 68 7b 0b
     push strict byte 00004h                   ; 6a 04
-    call 0190dh                               ; e8 97 a1
+    call 01922h                               ; e8 f8 9f
     add sp, strict byte 00006h                ; 83 c4 06
     mov dx, strict word 00001h                ; ba 01 00
-    jmp near 07893h                           ; e9 14 01
+    jmp near 07a47h                           ; e9 14 01
     sub di, strict byte 00008h                ; 83 ef 08
     sal di, 002h                              ; c1 e7 02
@@ -10992,5 +11168,5 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 0779bh                          ; 75 f7
+    jne short 0794fh                          ; 75 f7
     xor ax, ax                                ; 31 c0
     mov dx, word [bp+006h]                    ; 8b 56 06
@@ -11008,5 +11184,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 077c6h                               ; e2 fa
+    loop 0797ah                               ; e2 fa
     and ax, 000f0h                            ; 25 f0 00
     movzx cx, byte [bp-006h]                  ; 0f b6 4e fa
@@ -11026,5 +11202,5 @@
     shr dx, 1                                 ; d1 ea
     rcr ax, 1                                 ; d1 d8
-    loop 077edh                               ; e2 fa
+    loop 079a1h                               ; e2 fa
     mov dx, bx                                ; 89 da
     out DX, AL                                ; ee
@@ -11032,5 +11208,5 @@
     movzx ax, byte [bp-006h]                  ; 0f b6 46 fa
     cmp cx, ax                                ; 39 c1
-    jnc short 0780eh                          ; 73 0e
+    jnc short 079c2h                          ; 73 0e
     les di, [bp-00ch]                         ; c4 7e f4
     add di, cx                                ; 01 cf
@@ -11039,5 +11215,5 @@
     out DX, AL                                ; ee
     inc cx                                    ; 41
-    jmp short 077f8h                          ; eb ea
+    jmp short 079ach                          ; eb ea
     mov dx, bx                                ; 89 da
     in AL, DX                                 ; ec
@@ -11045,7 +11221,7 @@
     ; sub ah, ah                                ; 2a e4
     test AL, strict byte 001h                 ; a8 01
-    jne short 0780eh                          ; 75 f7
+    jne short 079c2h                          ; 75 f7
     test AL, strict byte 002h                 ; a8 02
-    je short 07829h                           ; 74 0e
+    je short 079ddh                           ; 74 0e
     lea dx, [bx+003h]                         ; 8d 57 03
     xor al, al                                ; 30 c0
@@ -11055,12 +11231,12 @@
     ; sub ah, ah                                ; 2a e4
     mov dx, strict word 00003h                ; ba 03 00
-    jmp short 07893h                          ; eb 6a
+    jmp short 07a47h                          ; eb 6a
     mov ax, word [bp+004h]                    ; 8b 46 04
     test ax, ax                               ; 85 c0
-    je short 07838h                           ; 74 08
+    je short 079ech                           ; 74 08
     lea dx, [bx+001h]                         ; 8d 57 01
     mov cx, ax                                ; 89 c1
     in AL, DX                                 ; ec
-    loop 07835h                               ; e2 fd
+    loop 079e9h                               ; e2 fd
     mov ax, word [bp+006h]                    ; 8b 46 06
     mov es, [bp-00eh]                         ; 8e 46 f2
@@ -11070,7 +11246,7 @@
     lea ax, [bx+001h]                         ; 8d 47 01
     cmp word [bp+008h], strict byte 00000h    ; 83 7e 08 00
-    jne short 07859h                          ; 75 07
+    jne short 07a0dh                          ; 75 07
     cmp word [bp+006h], 08000h                ; 81 7e 06 00 80
-    jbe short 07876h                          ; 76 1d
+    jbe short 07a2ah                          ; 76 1d
     mov dx, ax                                ; 89 c2
     mov cx, 08000h                            ; b9 00 80
@@ -11082,5 +11258,5 @@
     add ax, 00800h                            ; 05 00 08
     mov word [bp+00eh], ax                    ; 89 46 0e
-    jmp short 07849h                          ; eb d3
+    jmp short 079fdh                          ; eb d3
     mov dx, ax                                ; 89 c2
     mov cx, word [bp+006h]                    ; 8b 4e 06
@@ -11089,8 +11265,8 @@
     mov es, [bp-00eh]                         ; 8e 46 f2
     cmp word [es:si+01ch], strict byte 00000h ; 26 83 7c 1c 00
-    je short 07891h                           ; 74 07
+    je short 07a45h                           ; 74 07
     mov cx, word [es:si+01ch]                 ; 26 8b 4c 1c
     in AL, DX                                 ; ec
-    loop 0788eh                               ; e2 fd
+    loop 07a42h                               ; e2 fd
     xor dx, dx                                ; 31 d2
     mov ax, dx                                ; 89 d0
@@ -11100,5 +11276,5 @@
     pop bp                                    ; 5d
     retn 0000ch                               ; c2 0c 00
-scsi_enumerate_attached_devices_:            ; 0xf789e LB 0x373
+scsi_enumerate_attached_devices_:            ; 0xf7a52 LB 0x3e5
     push bp                                   ; 55
     mov bp, sp                                ; 89 e5
